ocaml (5.3.0-3) unstable; urgency=medium

  * Mark tests that actually require multicore (Closes: #1101353)
  * Do not run flaky test (Closes: #1103008)

 -- Stéphane Glondu <glondu@debian.org>  Thu, 12 Jun 2025 14:08:28 +0200

ocaml (5.3.0-2) unstable; urgency=medium

  * Enable natdynlink on hurd-amd64 (Closes: #1094334)

 -- Stéphane Glondu <glondu@debian.org>  Mon, 27 Jan 2025 13:17:46 +0100

ocaml (5.3.0-1) unstable; urgency=medium

  * Upload to unstable (Closes: #1092985)

 -- Stéphane Glondu <glondu@debian.org>  Sun, 26 Jan 2025 17:00:54 +0100

ocaml (5.3.0-1~exp2) experimental; urgency=medium

  * Run tests with OCAML_TEST_SIZE=1
  * Enable native backend on hurd-amd64 (Closes: #1086600)

 -- Stéphane Glondu <glondu@debian.org>  Wed, 15 Jan 2025 10:38:28 +0100

ocaml (5.3.0-1~exp1) experimental; urgency=medium

  * New upstream release

 -- Stéphane Glondu <glondu@debian.org>  Tue, 14 Jan 2025 08:02:31 +0100

ocaml (5.2.0-3) unstable; urgency=medium

  * Import upstream patch to fix coq-elpi ppc64el failure (Closes:
    #1078549)

 -- Stéphane Glondu <glondu@debian.org>  Thu, 29 Aug 2024 18:03:23 +0200

ocaml (5.2.0-2) unstable; urgency=medium

  * Add ocaml-base to Build-Conflicts

 -- Stéphane Glondu <glondu@debian.org>  Fri, 09 Aug 2024 06:55:14 +0200

ocaml (5.2.0-1) unstable; urgency=medium

  * Upload to unstable (Closes: #1073289)
  * Add bytes and bigarray compatibility packages
  * Change OCaml stdlib dir to /usr/lib/<multiarch>/ocaml/<abi>

 -- Stéphane Glondu <glondu@debian.org>  Wed, 07 Aug 2024 14:12:25 +0200

ocaml (5.2.0-1~exp4) experimental; urgency=medium

  * Bump version of findlib in Breaks/Replaces (Closes: #1074589)

 -- Stéphane Glondu <glondu@debian.org>  Tue, 02 Jul 2024 04:58:56 +0200

ocaml (5.2.0-1~exp3) experimental; urgency=medium

  * Add Breaks/Replaces for lib{stdlib,compiler-libs}-ocaml-dev as well
    (Closes: #1073995)
  * Re-enable runtime_events on armel and mmap runtime event state in
    RW mode there

 -- Stéphane Glondu <glondu@debian.org>  Mon, 01 Jul 2024 14:37:18 +0200

ocaml (5.2.0-1~exp2) experimental; urgency=medium

  * Remove ppc64 from native architectures
  * ocaml Depends on libzstd-dev
  * libstdlib-ocaml Breaks/Replaces libfindlib-ocaml (because of META
    files) (Closes: #1073243)
  * Do no longer call "make bootstrap"
  * Fix FTBFS on m68k
  * Make runtime_events optional and disable it on armel (fixes FTBFS)

 -- Stéphane Glondu <glondu@debian.org>  Thu, 20 Jun 2024 04:31:52 +0200

ocaml (5.2.0-1~exp1) experimental; urgency=medium

  * New upstream release (Closes: #1073289)

 -- Stéphane Glondu <glondu@debian.org>  Thu, 13 Jun 2024 08:38:39 +0200

ocaml (4.14.1-1) unstable; urgency=medium

  * New upstream release

 -- Stéphane Glondu <glondu@debian.org>  Wed, 20 Sep 2023 09:59:40 +0200

ocaml (4.13.1-6) unstable; urgency=medium

  * Ignore test failures on hurd
  * Remove empty override_dh_dwz
  * Fix source build after successful build (Closes: #1049230)

 -- Stéphane Glondu <glondu@debian.org>  Fri, 25 Aug 2023 20:19:07 +0200

ocaml (4.13.1-5) unstable; urgency=medium

  * Reorganize binary packages
    - New packages: libstdlib-ocaml{,-dev}, libcompiler-libs-ocaml-dev
    - Treat them as regular OCaml libraries with dh_ocaml
    - Make ocaml-compiler-libs transitional
    - libstdlib-ocaml breaks dh-ocaml (<< 2)
  * Add (empty) METAS directory in stdlib dir
  * Bump Standards-Version to 4.6.2
  * Update lintian overrides

 -- Stéphane Glondu <glondu@debian.org>  Sat, 19 Aug 2023 05:15:41 +0200

ocaml (4.13.1-4) unstable; urgency=medium

  * Avoid build path ending up in binaries (Closes: #1030785)

 -- Stéphane Glondu <glondu@debian.org>  Sun, 12 Feb 2023 11:46:40 +0100

ocaml (4.13.1-3) unstable; urgency=medium

  * Upload to unstable
  * Adapt maintainer scripts to new binary package structure
  * Do no longer provide /usr/include/caml symlink

 -- Stéphane Glondu <glondu@debian.org>  Wed, 19 Jan 2022 11:14:42 +0100

ocaml (4.13.1-2) experimental; urgency=medium

  * Put transitional packages in section oldlibs
  * Fix building of manpages on bytecode architectures
  * Restore patch putting manpages in section 3o
  * Enable fma emulation on m68k
  * Ignore tests failure on m68k

 -- Stéphane Glondu <glondu@debian.org>  Wed, 22 Dec 2021 08:17:13 +0100

ocaml (4.13.1-1) experimental; urgency=medium

  * New upstream release
  * Make *-nox packages transitional

 -- Stéphane Glondu <glondu@debian.org>  Tue, 21 Dec 2021 16:33:05 +0100

ocaml (4.11.1-5) unstable; urgency=medium

  * Do not error on warnings in autoconf (Closes: #978875)
  * Bump Standards-Version to 4.6.0
  * Update debian/watch

 -- Stéphane Glondu <glondu@debian.org>  Thu, 25 Nov 2021 15:45:31 +0100

ocaml (4.11.1-4) unstable; urgency=medium

  [ Pino Toscano ]
  * Make sure ocaml pulls ocaml-nox as well. (Closes: #973039)

 -- Stéphane Glondu <glondu@debian.org>  Fri, 30 Oct 2020 08:38:03 +0100

ocaml (4.11.1-3) unstable; urgency=medium

  * Upload to unstable
  * Disable some tests that fail on Hurd

 -- Stéphane Glondu <glondu@debian.org>  Mon, 12 Oct 2020 16:56:34 +0200

ocaml (4.11.1-2) experimental; urgency=medium

  * Call ./configure with --disable-native-compiler on all bytecode
    architectures

 -- Stéphane Glondu <glondu@debian.org>  Fri, 04 Sep 2020 15:31:40 +0200

ocaml (4.11.1-1) experimental; urgency=medium

  * New upstream release
    - Add riscv64 to native-archs
    - Trigger -output-complete-exe on -custom with an environment variable
      (OCAML_CUSTOM_USE_OUTPUT_COMPLETE_EXE)
    - Re-enable testpreempt test
    - Re-enable most of tool-debugger tests

 -- Stéphane Glondu <glondu@debian.org>  Fri, 04 Sep 2020 08:33:22 +0200

ocaml (4.08.1-10) unstable; urgency=medium

  * Disable DT_TEXTREL warnings on i386
  * Unconditionally disable testpreempt test

 -- Stéphane Glondu <glondu@debian.org>  Thu, 30 Jul 2020 14:45:47 +0200

ocaml (4.08.1-9) unstable; urgency=medium

  [ Stéphane Glondu ]
  * Fix FTBFS with gcc-10 (Closes: #957623)
  * Bump debhelper compat level to 13
  * Bump Standards-Version to 4.5.0

  [ Ralf Treinen ]
  * Replace suggestion of tuareg-mode, which is now a transitional package,
    by elpa-tuareg.

 -- Stéphane Glondu <glondu@debian.org>  Fri, 24 Jul 2020 16:51:04 +0200

ocaml (4.08.1-8) unstable; urgency=medium

  * read_main_debug_info: do not die in -custom executables

 -- Stéphane Glondu <glondu@debian.org>  Thu, 30 Jan 2020 13:11:32 +0100

ocaml (4.08.1-7) unstable; urgency=medium

  [ Stéphane Glondu ]
  * Install stdlib-shims compatibility package

  [ Andy Li ]
  * Install uchar compatibility package

 -- Stéphane Glondu <glondu@debian.org>  Tue, 14 Jan 2020 13:36:36 +0100

ocaml (4.08.1-6) unstable; urgency=medium

  * Fix generation of ocaml-man (Closes: #947197)
  * Add Rules-Requires-Root: no
  * Provide libseq-ocaml{,-dev}

 -- Stéphane Glondu <glondu@debian.org>  Sun, 29 Dec 2019 10:28:39 +0100

ocaml (4.08.1-5) unstable; urgency=medium

  * ocaml-nox: add Breaks+Replaces ocaml-compiler-libs (Closes: #945495)
  * Bump Standards-Version to 4.4.1

 -- Stéphane Glondu <glondu@debian.org>  Mon, 02 Dec 2019 13:04:37 +0100

ocaml (4.08.1-4) unstable; urgency=medium

  * ocaml-base-nox Breaks/Replaces also ocaml-nox (Closes: #944126)
  * Install seq compatibility package

 -- Stéphane Glondu <glondu@debian.org>  Fri, 08 Nov 2019 11:43:37 +0100

ocaml (4.08.1-3) unstable; urgency=medium

  * Do no longer install ocaml-native-compilers.conf (should fix FTBFS of
    many reverse dependencies)
  * Add relationship for ocaml-nox overwriting ocaml-base-nox (Closes:
    #944126)

 -- Stéphane Glondu <glondu@debian.org>  Wed, 06 Nov 2019 11:12:49 +0100

ocaml (4.08.1-2) unstable; urgency=medium

  * Upload to unstable
  * Disable failing tests on hurd

 -- Stéphane Glondu <glondu@debian.org>  Mon, 04 Nov 2019 13:43:40 +0100

ocaml (4.08.1-1) experimental; urgency=medium

  * New upstream release
  * Statically link -lbfd to avoid a tight dependency with libbinutils
    (Closes: #940579)
  * Put VERSION in ocaml-base-nox
  * Add Breaks/Replaces: ocaml-base to ocaml-base-nox (Closes: #933792)
  * Disable testpreempt test on kfreebsd for now
  * Add back Debian-specific -custom behaviour

 -- Stéphane Glondu <glondu@debian.org>  Mon, 30 Sep 2019 16:40:45 +0200

ocaml (4.08.0-3) experimental; urgency=medium

  * Disable native compiler on powerpc and x32
  * Tune testpreempt test to make it work on kfreebsd

 -- Stéphane Glondu <glondu@debian.org>  Tue, 30 Jul 2019 13:27:15 +0200

ocaml (4.08.0-2) experimental; urgency=medium

  * Build with BUILD_PATH_PREFIX_MAP set, to improve reproducibility
  * Use CCLINKFLAGS for linking all executables and shared libraries, to
    pass hardening flags
  * Properly disable almabench test on slow architectures (should fix
    FTBFS on them)
  * Check for definition of AT_SECURE before using it (should fix FTBFS on
    kfreebsd-*)
  * Add x32 to native architecture (should fix FTBFS)
  * Add support for Debian's armhf in configure.ac (should fix FTBFS)
  * Add more Lintian overrides
  * Fix spelling errors reported by Lintian
  * Bump Standards-Version to 4.4.0
  * Remove Samuel from Uploaders

 -- Stéphane Glondu <glondu@debian.org>  Wed, 24 Jul 2019 10:53:51 +0200

ocaml (4.08.0-1) experimental; urgency=medium

  [ Stéphane Glondu ]
  * New upstream release
    - many Debian-specific patches have been dropped
    - drop ocaml-mode binary package
    - add ocaml-man binary package
    - update debian/copyright
  * Bump debhelper compat to 12

  [ Nicolas Boulenguez ]
  * Fix broken doc symlinks (Closes: #877267)

 -- Stéphane Glondu <glondu@debian.org>  Thu, 11 Jul 2019 14:19:49 +0200

ocaml (4.05.0-12) unstable; urgency=medium

  * Provide libnum-ocaml{,-dev}

 -- Stéphane Glondu <glondu@debian.org>  Tue, 06 Aug 2019 09:27:23 +0200

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog libstdlib-ocaml`.
